let eventDispatcher = new EventDispatcher();
let playerProxy = new FacadeBase();
let globalAdConfig = smartclientcore.SCHEMA.create(smartclientcore.SCHEMA.GLOBAL_CONFIG);
globalAdConfig.debug = true; // enable debug output to the browser console
let connectedSDK = smartclientcore.connect(playerProxy);
globalConfig.adVerification.OMID.playerHandles = true;

function getPlayerProxy() {
    return playerProxy;
}

function getEventDispatcher() {
    return eventDispatcher;
}

function getConnectedSDK() {
    return connectedSDK;
}

function callbackForPlayerEvent(event) {
    let eventDispatcher = getEventDispatcher();
    eventDispatcher.dispatchEvent(event);
}

function postPlayerFacadeMessage(message) {
    try {
        webkit.messageHandlers.SCPlayerFacade.postMessage(message);
    } catch(err) {}
}

function callNativeFunction(functionName, argument) {
    try {
        var type = "SCPlayerFacade";
        var data = {'argument':argument};
        var payload = {'type': type, 'functionName': functionName, 'data': data};

        var res = prompt(JSON.stringify (payload));

        return res;
    } catch(err) {
        console.log('The native context does not exist yet');
    }
}
